Hermos API

List Api Keys

GET/api_keys

Authorization

cookieAuth
__Host-hms_session<token>

In: cookie

Query Parameters

kind?string

Value in

  • "secret"
  • "restricted"
  • "agent"
  • "publishable"
include_revoked?string
Default"false"

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api_keys"
{  "object": "list",  "data": [    {      "id": "string",      "object": "api_key",      "livemode": true,      "kind": "secret",      "name": "string",      "key_prefix": "string",      "last_four": "stri",      "token": "string",      "token_stored": true,      "scopes": [        "string"      ],      "product_ids": [        "string"      ],      "agent_id": null,      "created_by_user_id": "string",      "rotated_from_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "revoked_at": "2019-08-24T14:15:22Z",      "last_used_at": "2019-08-24T14:15:22Z",      "rotated_out_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": false}